<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetNextTemplate Method (IEdmTemplateMgr5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmTemplateMgr5 Interface : GetNextTemplate Method (IEdmTemplateMgr5)

Visual Basic
C#
C++/CLI

poPos
  IEdmPos5; position of the next template

Gets the next template in this list.

# Syntax

Visual Basic |
--- | ---

    Function GetNextTemplate( _
       ByVal poPos As IEdmPos5 _
    ) As IEdmTemplate5

C# |
--- | ---

    IEdmTemplate5 GetNextTemplate(
       IEdmPos5 poPos
    )

C++/CLI |
--- | ---

    IEdmTemplate5^ GetNextTemplate(
    &   IEdmPos5^ poPos
    )

#### Parameters

poPos
  IEdmPos5; position of the next template

#### Return Value

IEdmTemplate5

# Example

Execute Template (C#)
Execute Template (VB.NET)

# Remarks

Before calling this method the first time, you must populate poPos with the interface to the position of the first template, IEdmPos5. Call IEdmTemplateMgr5::GetFirstTemplatePosition to obtain poPos.

After calling this method the first time, poPos is automatically incremented every time it is called. Call this method repeatedly to obtain the rest of the templates.

Be sure to call IEdmPos5::IsNull before you call this method to ensure you have not reached the end of the enumeration.

C++ users not using smart-pointer wrapper functions must release the returned interface, IEdmTemplate5.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmTemplateMgr5 Interface
IEdmTemplateMgr5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2